#include <htc.h>
#include <pic16f1827.h>
#include "user_define.h"

void	start_pwm(void)
{
	T2CON |= 0b00000000;	/* TIMER2  PS=1 */
    CCP1SEL=0;              // CCP1=RB3
	CCP1CON = 0b00001100;   // CCP1:PWM
    PSTR1CON = 0b00000001;  //
    CCP2SEL=1;              // CCP2=RA7
    CCP2CON = 0b00001100;   // CCP2:PWM
    PSTR2CON = 0b00000001;  //
    CCP3CON = 0b00001100;   // CCP3:PWM
    CCP4CON = 0b00001100;   // CCP4:PWM
    CCPTMRS = 0b00000000;   // CCPx:TIMER2
	PR2=255;				//
	T2CON |= 0b00000100;	/* TIMER2 ENABLE */
}

void	set_pwm1(unsigned char	data)
{
	CCPR1L = data;		/* */
}

void    set_pwm2(unsigned char data)
{
    CCPR2L = data;      /* */
}
void	set_pwm3(unsigned char	data)
{
	CCPR3L = data;		/* */
}

void	set_pwm4(unsigned char	data)
{
	CCPR4L = data;		/* */
}